新手问题 IE 不兼容的奇怪问题?

xuluan · 2012年11月28日 · 最后由 xuluan 回复于 2012年11月29日 · 2402 次阅读

最近,遇到了一个很奇怪的问题,用 bootstrap (gem 'bootstrap-sass' )

做了个小项目,development 下, chrome, ff, IE(8, 9) 看着都还行 可是, production 下, IE 就变得乱七八糟。

我查了下,最后发现,只要我把几个 css.scss 文件合并进入一个 就会乱七八糟(在 development 下也是, 可是 chrome,ff 都表现良好)

真是让我费解啊! 不知是否有谁碰到过类似的问题, 能否 share 一下经验, 谢谢!

@micle 我觉得 bootstrap 应该是支持的 因为原本 development 模式下面就可以嘛 可能跟文件的组织方式有关 不过,不清楚具体原因

我好像也遇到过这个问题,当时是 Asset Pipeline 的问题,读一下相关的文档和文章应该有帮助

终于找到原因: Older versions of Internet Explorer (basically version 9 and below) have a hard limit for the number of CSS selectors they can process, which is 4095.

IE 真是坑爹啊!

需要 登录 后方可回复, 如果你还没有账号请 注册新账号